<?PHP
/*
 * DIREITOS AUTORAIS RESERVADOS (C) 2007 UFRJ
 * 
 * ESTE PROGRAMA É SOFTWARE LIVRE; VOCÊ PODE REDISTRIBUÍ-LO E/OU MODIFICÁ-LO SOB OS
 * TERMOS DA LICENÇA PÚBLICA GERAL GNU CONFORME PUBLICADA PELA FREE SOFTWARE FOUNDATION;
 * TANTO A VERSÃO 2 DA LICENÇA, COMO (A SEU CRITÉRIO) QUALQUER VERSÃO POSTERIOR.

 * ESTE PROGRAMA É DISTRIBUÍDO NA EXPECTATIVA DE QUE SEJA ÚTIL, PORÉM, SEM NENHUMA GARANTIA;
 * NEM MESMO A GARANTIA IMPLÍCITA DE COMERCIABILIDADE OU ADEQUAÇÃO A UMA FINALIDADE ESPECÍFICA.
 * CONSULTE A LICENÇA PÚBLICA GERAL DO GNU PARA MAIS DETALHES.
 * 
 * VOCÊ DEVE TER RECEBIDO UMA CÓPIA DA LICENÇA PÚBLICA GERAL DO GNU JUNTO COM ESTE PROGRAMA; 
 * SE NÃO, ACESSE <<HTTP://WWW.GNU.ORG/LICENSES/LICENSES.PT-BR.HTML>>
 */

<?

class SituacaoFormulario extends Doctrine_Record
{
	const SEM_VALIDACAO = 1;
	const NAO_VALIDADO = 2;
	const VALIDADO = 3;

	function setTableDefinition()
	{
		$this->setTableName('saude.situacao_formulario');

		$this->hasColumn('idpessoa','integer',NULL,array('notnull','primary'));

		$this->hasColumn('data_atualizacao','timestamp',NULL,array('notnull'));
		$this->hasColumn('data_verificacao','timestamp');
		$this->hasColumn('correcao','string');
		$this->hasColumn('codigo','integer'); // atualizado via trigger
	}

	function validate()
	{
		if(!$this->data_atualizacao)
			$this->data_atualizacao = NULL;

		if(!$this->data_verificacao)
			$this->data_verificacao = NULL;
	}

	function setUp()
	{
		$this->hasOne('Pessoa as pessoa',
			array('local'=>'idpessoa',
			      'foreign'=>'id'));
	}
};

?>
